;																				
; Warteschleifen																
; Version: 24.11.2011															
; 1MHz Takt																		
; 																				
; Hinweis: die Wartezeiten stimmen nur dann, wenn kein Interruptaufruf erfolgt	
;																				
; ##############################################################################
; ##############################################################################
; ##############################################################################
wait_1ms:                               
	push temp1           ; temp1 auf dem Stack sichern            
	push temp2           ; temp2 auf dem Stack sichern            
;------------
	clr temp1
    ldi temp2,1			; (1 bei 1MHz)	
wait_1ms_w:
    WDR					; WATCH-DOG		
	dec  temp1
    brne wait_1ms_w
    dec  temp2
    brne wait_1ms_w
;------------
	pop temp2      		; temp2 wiederherstellen                    
	pop temp1      		; temp1 wiederherstellen                    
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ca. 100ms Pause																
WAIT_100ms:
	push temp1          ; temp1 auf dem Stack sichern            
	push temp2          ; temp2 auf dem Stack sichern            
;------------
	clr	temp1			
	ldi	temp2,98		; (98 bei 1MHz)	
WAIT_100ms_w:	
    WDR					; WATCH-DOG		
	dec	 temp1
	brne WAIT_100ms_w
	dec	 temp2		
	brne WAIT_100ms_w
;------------
	pop temp2      		; temp2 wiederherstellen                    
	pop temp1      		; temp1 wiederherstellen                    
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ca. 1s Pause																	
WAIT_1s:
	push temp1          ; temp1 auf dem Stack sichern            
	push temp2          ; temp2 auf dem Stack sichern            
	push temp3          ; temp3 auf dem Stack sichern            

;------------
	clr	temp1			
	clr temp2
	ldi	temp3,4			; (4 bei 1MHz)	
wait1s_w:	
    WDR					; WATCH-DOG		
	dec	temp1
	brne	wait1s_w
	dec	temp2		
	brne	wait1s_w
	dec	temp3
	brne	wait1s_w
;------------
	pop temp3      		; temp3 wiederherstellen                    
	pop temp2      		; temp2 wiederherstellen                    
	pop temp1      		; temp1 wiederherstellen                    
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
